# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "disposition_taffy_model"
version = "0.0.4"
authors = ["Azriel Hoh <azriel91@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Data types for disposition to work with taffy."
homepage = "https://azriel.im/disposition"
documentation = "https://docs.rs/disposition_taffy_model/"
readme = "README.md"
keywords = ["automation"]
categories = [
    "asynchronous",
    "config",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/azriel91/disposition"
resolver = "2"

[features]
default = []
openapi = [
    "dep:utoipa",
    "disposition_model_common/openapi",
]
test = []

[lib]
name = "disposition_taffy_model"
path = "src/lib.rs"
test = false
doctest = true

[dependencies.disposition_input_model]
version = "0.0.4"

[dependencies.disposition_ir_model]
version = "0.0.4"

[dependencies.disposition_model_common]
version = "0.0.4"

[dependencies.miette]
version = "7.6.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.taffy]
version = "0.9.2"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.utoipa]
version = "5.4"
optional = true

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = ["cfg(coverage_nightly)"]
